libfarstream-0.2-5_0.2.8-2_i386.deb


Advertisement

Description

libfarstream-0.2-5 - Audio/Video communications framework: core library

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libfarstream-0.2-5_0.2.8-2_i386.deb
Package name libfarstream-0.2-5
Package version 0.2.8
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.freedesktop.org/wiki/Software/Farstream/
License -
Maintainer Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Download size 399.94 KB
Installed size 889.00 KB
The Farstream project is an effort to create a framework to deal with all
known audio/video conferencing protocols. On one side it offers a generic
API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those
plugins.
This package provides the core Farstream library.

Alternatives

Package Version Architecture Repository
libfarstream-0.2-5_0.2.8-2_amd64.deb 0.2.8 amd64 Debian Main
libfarstream-0.2-5 - - -

Requires

Name Value
gstreamer1.0-nice -
gstreamer1.0-plugins-bad -
gstreamer1.0-plugins-base -
gstreamer1.0-plugins-good -
libc6 >= 2.7
libglib2.0-0 >= 2.35.9
libgstreamer-plugins-base1.0-0 >= 1.0.0
libgstreamer1.0-0 >= 1.8.0
libgupnp-1.0-4 >= 0.18.0
libgupnp-igd-1.0-4 >= 0.2.1
libnice10 >= 0.1.4

Conflicts

Name Value
libfarstream-0.2-0 -
libfarstream-0.2-2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libfarstream-0.2-5_0.2.8-2_i386.deb
Source Package farstream-0.2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfarstream-0.2-5 deb package:
    # sudo apt-get install libfarstream-0.2-5

Files

Path
/usr/lib/i386-linux-gnu/libfarstream-0.2.so.5
/usr/lib/i386-linux-gnu/libfarstream-0.2.so.5.1.0
/usr/lib/i386-linux-gnu/farstream-0.2/libmulticast-transmitter.so
/usr/lib/i386-linux-gnu/farstream-0.2/libnice-transmitter.so
/usr/lib/i386-linux-gnu/farstream-0.2/librawudp-transmitter.so
/usr/lib/i386-linux-gnu/farstream-0.2/libshm-transmitter.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libfsmsnconference.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libfsrawconference.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libfsrtpconference.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libfsrtpxdata.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libfsvideoanyrate.so
/usr/share/doc/libfarstream-0.2-5/NEWS.gz
/usr/share/doc/libfarstream-0.2-5/README
/usr/share/doc/libfarstream-0.2-5/changelog.Debian.gz
/usr/share/doc/libfarstream-0.2-5/changelog.gz
/usr/share/doc/libfarstream-0.2-5/copyright
/usr/share/farstream/0.2/fsrawconference/default-element-properties
/usr/share/farstream/0.2/fsrtpconference/default-codec-preferences
/usr/share/farstream/0.2/fsrtpconference/default-element-properties

Changelog

2016-12-18 - Laurent Bigonville <bigon@debian.org>
farstream-0.2 (0.2.8-2) unstable; urgency=medium
* debian/watch, debian/upstream/signing-key.asc: Verify the upstream
signature and bump the compatibily version to 4
* debian/patches/fix_doc_ftbfs.patch: Fix FTBFS when generating the
documentation, this should also fix the build with bindnow and PIE enabled
(Closes: #837448)
* debian/rules: Enable all the hardening flags
2016-08-15 - Laurent Bigonville <bigon@debian.org>
farstream-0.2 (0.2.8-1) unstable; urgency=medium
[ Laurent Bigonville ]
* New upstream release
- debian/libfarstream-0.2-5.symbols: Add new exported symbol
* debian/watch: Fix URL
* debian/control: Bump Standards-Version to 3.9.8 (no further changes)
* debian/control: Update Vcs-* URL's to please lintian (again)
* debian/control: Update the Homepage URL to point to the wiki page
* Make gir1.2-farstream-0.2 package Multi-Arch: same
* debian/rules: Use gir sequence instead of overriding dh_shlibdeps
[ Jonny Lamb ]
* Remove myself from Uploaders.
2016-06-22 - Héctor Orón Martínez <zumbi@debian.org>
farstream-0.2 (0.2.7-2) unstable; urgency=medium
* debian/patches/doc-sync-latest-common.patch:
- fix documentation build with gtk-doc
(Closes: #819836)
2016-01-06 - Laurent Bigonville <bigon@debian.org>
farstream-0.2 (0.2.7-1) unstable; urgency=medium
[ Simon McVittie ]
* Remove myself from Uploaders
[ Laurent Bigonville ]
* New upstream release (Closes: #785195)
- Adjust the build-dependencies
- Drop d/p/0001-Fix-some-mismatched-redundant-para-gtk-doc-tags.patch,
applied upstream
- Rename the package from libfarstream-0.2-2 to libfarstream-0.2-5 and
adjust the .symbols file
* debian/control: Bump Standards-Version to 3.9.6 (no further changes)
* Drop libfarstream-0.2-dbg package and let debhelper create the dbgsym
package itself.
2014-09-16 - Simon McVittie <smcv@debian.org>
farstream-0.2 (0.2.4-1) unstable; urgency=medium
* New upstream release
- drop patch for payload type 101, fixed upstream
2014-03-26 - Simon McVittie <smcv@debian.org>
farstream-0.2 (0.2.3-3) unstable; urgency=medium
* Add patch from Iain Lane to build successfully with current gtk-doc
(Closes: #742280)
2014-01-29 - Simon McVittie <smcv@debian.org>
farstream-0.2 (0.2.3-2) unstable; urgency=medium
* Use the farstream-0.2 repository in Vcs-*, not the farstream (0.1)
repository (Closes: #736210)
* Standards-Version: 3.9.5 (no changes needed)
* Work around #737017 by build-depending on uuid-dev
2013-06-06 - Simon McVittie <smcv@debian.org>
farstream-0.2 (0.2.3-1) unstable; urgency=low
* New upstream release
- update symbols file
* Add patch from upstream git to try to use payload type 101 for
telephone events, improving interoperability
* Use dh-autoreconf
* Don't try to use dh_python2, we no longer have static Python bindings
* Canonicalize Vcs-*
* Standards-Version: 3.9.4 (no further changes)
* Do rebuild documentation from source
* Disable silent build rules
* Release to unstable
2012-11-18 - Sjoerd Simons <sjoerd@debian.org>
farstream-0.2 (0.2.2-1) experimental; urgency=low
* New upstream release
2012-10-08 - Sjoerd Simons <sjoerd@debian.org>
farstream-0.2 (0.2.1-1) experimental; urgency=low
* New upstream release

See Also

Package Description
libfarstream-0.2-dev_0.2.8-2_i386.deb Audio/Video communications framework: development files
libfarstream-0.2-doc_0.2.8-2_all.deb Audio/Video communications framework: documentation
libfast5-dev_0.5.8-1_all.deb library for reading Oxford Nanopore Fast5 files -- headers
libfastahack-dev_0.0+20160702-1+b1_i386.deb library for indexing and sequence extraction from FASTA files (devel)
libfastahack0_0.0+20160702-1+b1_i386.deb library for indexing and sequence extraction from FASTA files (lib)
libfastinfoset-java_1.2.12-2_all.deb Java library implementing the Fast Infoset standard
libfastjet-dev_3.0.6+dfsg-3_i386.deb Development files of FastJet
libfastjet-fortran-dev_3.0.6+dfsg-3_i386.deb Fortran bindings of FastJet - development files
libfastjet-fortran0_3.0.6+dfsg-3_i386.deb Fortran bindings of FastJet
libfastjet0v5_3.0.6+dfsg-3_i386.deb Fast C++ code for the kt and other jet algorithms
libfastjetplugins-dev_3.0.6+dfsg-3_i386.deb FastJet plugins - development files
libfastjetplugins0_3.0.6+dfsg-3_i386.deb FastJet plugins
libfastjettools-dev_3.0.6+dfsg-3_i386.deb Tools for FastJet - development files
libfastjettools0_3.0.6+dfsg-3_i386.deb Tools for FastJet
libfastjson-dev_0.99.4-1_i386.deb fast json library for C - development files
Advertisement
Advertisement